API product catalogExecution & Order Management (OMS)
Get order execution reports
Execution & Order Management (OMS)
GET
/orders/{orderId}/executions
Get order execution reports
Sandbox unsupported
getOrderExecutionsReturns OMS execution reports for a partner master-account order, including receipt, fill, rejection, and cancellation reports.
Parameters
orderIdstringpathRequiredExample: ord_abc123xyz
Headers
AuthorizationstringRequiredBearer sk_sandbox_<your_key> for sandbox requests.
Response fields
orderIdstringsubAccountIdstring | nullexecutionsobject[]executions[].executionReportIdstringexecutions[].journalVersioninteger | nullexecutions[].immutablebooleanexecutions[].eventHashAlgorithmstring | nullexecutions[].eventHashstring | nullexecutions[].orderIdstringexecutions[].clientOrderIdstring | nullexecutions[].accountTypeMASTER | SUBACCOUNTexecutions[].subAccountIdstring | nullexecutions[].reportTypeORDER_RECEIVED | FILL | REJECT | CANCEL | REPLACE | CORRECTIONexecutions[].orderStatusRECEIVED | FILLED | REJECTED | CANCELLED | REPLACED | WORKINGexecutions[].sideBUY | SELLexecutions[].symbolstringexecutions[].exchangestring | nullexecutions[].requestedQuantitynumberexecutions[].filledQuantitynumberexecutions[].remainingQuantitynumberexecutions[].fillPricenumber | nullexecutions[].averageFillPricenumber | nullexecutions[].feeAmountnumber | nullexecutions[].netAmountnumber | nullexecutions[].currencystringExample: "USD"
executions[].executionVenuestring | nullexecutions[].actorTypestring | nullexecutions[].actorIdstring | nullexecutions[].requestIdstring | nullexecutions[].sourcestring | nullexecutions[].correctsExecutionReportIdstring | nullexecutions[].syntheticbooleanTrue only for a read-time compatibility FILL derived from a legacy filled order that predates the immutable execution journal.
executions[].sourceEvidencestring | nullexecutions[].createdAtstring | nullexecutions[].occurredAtstring | nullexecutions[].recordedAtstring | nullcountintegerResponse codes
200Execution reports for the order.404Order not found.